Report Card Data should be Exportable

Bug #976757 reported by Rena Willis on 2012-04-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
SchoolTool Gradebook
Critical
Alan Elkner

Bug Description

Suggestion: Our school has a very intricately designed report card layout. If report card data is available for export a school could use the data in customized reports (then schooltool would not need a fully developed reporting interface right off.) As it sits, it appears that in order to obtain the same data that is displayed in the report card .PDF, I must download the individual gradebooks for each individual teacher and then merge the data. Schooltool is already running the query that produces the summarized report card data. It would be very helpful to have access to that in any usable format (even .CSV)

Tom Hoffman (tom-hoffman) wrote :

Yes, good idea. Would you like to see a spreadsheet with one row per student and then all the section scores for a report sheet on the columns. One report sheet = a worksheet in the spreadsheet. Plus a worksheet for the aggregated journal info?

Or do you have a different idea for the format?

Changed in schooltool:
status: New → Triaged
importance: Undecided → Critical
milestone: none → 2.1.0
assignee: nobody → Alan Elkner (aelkner)

Yes Tom, it would be great to have this feature, but I'm still a little not too clear on the best format, but having entire class in a spreadsheet with one row per student would be great!

David

________________________________
 From: Tom Hoffman <email address hidden>
To: <email address hidden>
Sent: Monday, April 9, 2012 3:41 PM
Subject: [Bug 976757] Re: Report Card Data should be Exportable

Yes, good idea.  Would you like to see a spreadsheet with one row per
student and then all the section scores for a report sheet on the
columns.  One report sheet = a worksheet in the spreadsheet.  Plus a
worksheet for the aggregated journal info?

Or do you have a different idea for the format?

** Changed in: schooltool
      Status: New => Triaged

** Changed in: schooltool
  Importance: Undecided => Critical

** Changed in: schooltool
    Milestone: None => 2.1.0

** Changed in: schooltool
    Assignee: (unassigned) => Alan Elkner (aelkner)

--
You received this bug notification because you are subscribed to
SchoolTool.
https://bugs.launchpad.net/bugs/976757

Title:
  Report Card Data should be Exportable

To manage notifications about this bug go to:
https://bugs.launchpad.net/schooltool/+bug/976757/+subscriptions

Rena Willis (rwillis) wrote :

Tom,

Ideally I would create a report card layout that would include fields gathered from my deployed report sheets and summary attendance information from the journals... then if the export created an excel spreadsheet with one student per row with the data collected for the report card per column. Essentially creating a flat structure that I could then use in a variety of ways.

I'm happy to put together a sample if helpful.

Thanks,
Rena Willis
Lakeside International School

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Tom Hoffman
Sent: Monday, April 09, 2012 8:42 AM
To: <email address hidden>
Subject: [Bug 976757] Re: Report Card Data should be Exportable

Yes, good idea. Would you like to see a spreadsheet with one row per student and then all the section scores for a report sheet on the columns. One report sheet = a worksheet in the spreadsheet. Plus a worksheet for the aggregated journal info?

Or do you have a different idea for the format?

** Changed in: schooltool
       Status: New => Triaged

** Changed in: schooltool
   Importance: Undecided => Critical

** Changed in: schooltool
    Milestone: None => 2.1.0

** Changed in: schooltool
     Assignee: (unassigned) => Alan Elkner (aelkner)

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/976757

Title:
  Report Card Data should be Exportable

Status in SchoolTool:
  Triaged

Bug description:
  Suggestion: Our school has a very intricately designed report card
  layout. If report card data is available for export a school could
  use the data in customized reports (then schooltool would not need a
  fully developed reporting interface right off.) As it sits, it
  appears that in order to obtain the same data that is displayed in the
  report card .PDF, I must download the individual gradebooks for each
  individual teacher and then merge the data. Schooltool is already
  running the query that produces the summarized report card data. It
  would be very helpful to have access to that in any usable format
  (even .CSV)

To manage notifications about this bug go to:
https://bugs.launchpad.net/schooltool/+bug/976757/+subscriptions

Tom Hoffman (tom-hoffman) wrote :

I guess the question in my mind is whether we need a step where you choose which columns for each report sheet shows up -- more or less like the report card grid setup now -- or if we should just dump all the report sheets and let you rearrange them in Excel and otherwise process them as you see fit. The second is, of course, a bit easier for us, and perhaps a bit less confusing for users. But perhaps more work for users...

Rena Willis (rwillis) wrote :

Tom,

On the selfish side, certainly a lot less work for the user if I can simply select the data I want through the interface and then export the results. From a usability standpoint, it's clean and straightforward.

However, most users who would need the data outside of the program probably have the ability to massage it properly, so although it would be a bit more work, it would definitely be usable to simply dump all the report sheets to an excel file and certainly has the advantage of flexibility and delivery speed (easier to code.)

For us, either solution would work but I guess I would initially lean toward dumping all the report sheet data (as long as it would include all the deployed report sheets)

Thanks!
Rena

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Tom Hoffman
Sent: Monday, April 09, 2012 10:50 AM
To: <email address hidden>
Subject: [Bug 976757] Re: Report Card Data should be Exportable

I guess the question in my mind is whether we need a step where you choose which columns for each report sheet shows up -- more or less like the report card grid setup now -- or if we should just dump all the report sheets and let you rearrange them in Excel and otherwise process them as you see fit. The second is, of course, a bit easier for us, and perhaps a bit less confusing for users. But perhaps more work for users...

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/976757

Title:
  Report Card Data should be Exportable

Status in SchoolTool:
  Triaged

Bug description:
  Suggestion: Our school has a very intricately designed report card
  layout. If report card data is available for export a school could
  use the data in customized reports (then schooltool would not need a
  fully developed reporting interface right off.) As it sits, it
  appears that in order to obtain the same data that is displayed in the
  report card .PDF, I must download the individual gradebooks for each
  individual teacher and then merge the data. Schooltool is already
  running the query that produces the summarized report card data. It
  would be very helpful to have access to that in any usable format
  (even .CSV)

To manage notifications about this bug go to:
https://bugs.launchpad.net/schooltool/+bug/976757/+subscriptions

Tom Hoffman (tom-hoffman) wrote :

OK, we'll take a closer look at how long either will take and make a decision. We should have one or the other in the next release though.

Alan Elkner (aelkner) on 2012-04-16
Changed in schooltool:
status: Triaged → Fix Committed
affects: schooltool → schooltool.gradebook
Changed in schooltool.gradebook:
milestone: 2.1.0 → none
milestone: none → 2.1.0
Changed in schooltool.gradebook:
status: Fix Committed → Fix Released
Rena Willis (rwillis) wrote :

Hey Guys,

Thank you so much! I found the release and downloaded it, but I am unclear as to how to apply it. I'm sure it is something obvious... but can't seem to figure it out. Any help would be appreciated.

Thanks so much!
Rena Willis

Rena Willis (rwillis) wrote :

I see that an update has been released that includes this... but I do not see how to install the update from the tarball. Can you please advise.

Thanks so much.
Rena Willis
Lakeside International School

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Gediminas Paulauskas
Sent: Wednesday, April 18, 2012 12:08 PM
To: <email address hidden>
Subject: [Bug 976757] Re: Report Card Data should be Exportable

** Changed in: schooltool.gradebook
       Status: Fix Committed => Fix Released

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/976757

Title:
  Report Card Data should be Exportable

Status in SchoolTool Gradebook:
  Fix Released

Bug description:
  Suggestion: Our school has a very intricately designed report card
  layout. If report card data is available for export a school could
  use the data in customized reports (then schooltool would not need a
  fully developed reporting interface right off.) As it sits, it
  appears that in order to obtain the same data that is displayed in the
  report card .PDF, I must download the individual gradebooks for each
  individual teacher and then merge the data. Schooltool is already
  running the query that produces the summarized report card data. It
  would be very helpful to have access to that in any usable format
  (even .CSV)

To manage notifications about this bug go to:
https://bugs.launchpad.net/schooltool.gradebook/+bug/976757/+subscriptions

Rena Willis (rwillis) wrote :

Dear Tom,

I received an update saying that this feature has been released... I see the link to the tarball, but not sure how to install the release. Any help would be greatly appreciated as I am anxious to take a look at the update. Thanks for your help.

Sincerely,
Rena Willis
Lakeside International School

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Tom Hoffman
Sent: Monday, April 09, 2012 10:50 AM
To: <email address hidden>
Subject: [Bug 976757] Re: Report Card Data should be Exportable

I guess the question in my mind is whether we need a step where you choose which columns for each report sheet shows up -- more or less like the report card grid setup now -- or if we should just dump all the report sheets and let you rearrange them in Excel and otherwise process them as you see fit. The second is, of course, a bit easier for us, and perhaps a bit less confusing for users. But perhaps more work for users...

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/976757

Title:
  Report Card Data should be Exportable

Status in SchoolTool:
  Triaged

Bug description:
  Suggestion: Our school has a very intricately designed report card
  layout. If report card data is available for export a school could
  use the data in customized reports (then schooltool would not need a
  fully developed reporting interface right off.) As it sits, it
  appears that in order to obtain the same data that is displayed in the
  report card .PDF, I must download the individual gradebooks for each
  individual teacher and then merge the data. Schooltool is already
  running the query that produces the summarized report card data. It
  would be very helpful to have access to that in any usable format
  (even .CSV)

To manage notifications about this bug go to:
https://bugs.launchpad.net/schooltool/+bug/976757/+subscriptions

Tom Hoffman (tom-hoffman) wrote :

Hi Rena,

We released this change for the packages in the new version of Ubuntu (12.04), coming out today. I decided to hold off until next week for the packages for earlier versions of Ubuntu, essentially because our package manager is on vacation this week.

Which version of Ubuntu are you using? You should get the change with a regular update with in the next week or two.

The best way to get announcements of releases is to join this group and subscribe to the mailing list: https://launchpad.net/~schooltoolers

--Tom

Rena Willis (rwillis) wrote :

Dear Tom,

Thank you. We are currently running Ubuntu 10.04. So we will wait for the release in the next week or two.

Have a great weekend,
Rena Willis
Lakeside International School

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Tom Hoffman
Sent: Thursday, April 26, 2012 2:08 PM
To: <email address hidden>
Subject: [Bug 976757] Re: Report Card Data should be Exportable

Hi Rena,

We released this change for the packages in the new version of Ubuntu (12.04), coming out today. I decided to hold off until next week for the packages for earlier versions of Ubuntu, essentially because our package manager is on vacation this week.

Which version of Ubuntu are you using? You should get the change with a regular update with in the next week or two.

The best way to get announcements of releases is to join this group and subscribe to the mailing list: https://launchpad.net/~schooltoolers

--Tom

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/976757

Title:
  Report Card Data should be Exportable

Status in SchoolTool Gradebook:
  Fix Released

Bug description:
  Suggestion: Our school has a very intricately designed report card
  layout. If report card data is available for export a school could
  use the data in customized reports (then schooltool would not need a
  fully developed reporting interface right off.) As it sits, it
  appears that in order to obtain the same data that is displayed in the
  report card .PDF, I must download the individual gradebooks for each
  individual teacher and then merge the data. Schooltool is already
  running the query that produces the summarized report card data. It
  would be very helpful to have access to that in any usable format
  (even .CSV)

To manage notifications about this bug go to:
https://bugs.launchpad.net/schooltool.gradebook/+bug/976757/+subscriptions

Gediminas Paulauskas (menesis) wrote :

SchoolTool 2.1.0 with Report Card XLS export is available for Ubuntu 10.04 since May 1st.

To find it, go to a school year or a term, and click "Report sheets" in Reports sidebar.

Does such export satisfy your needs?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers